EDIT - bug #7529

Wrong UUID after creating a GrantedAuthority for a Role like ROLE_PUBLISH
07/03/2018 09:44 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.20

Severity: normal Found in Version:

Description

The ROLE_PUBLISH was not yet in the database and thus was created using the Taxeditor GrantedAuthority Create Dialog.
The resulting GrantedAuthority in the database has the wrong uuid:

72| 2018-07-03 07:29:27 | 0ada8cd5-8cdd-4fc0-a329-59d4d122008a | ROLE_PUBLISH

the Role has a different uuid in the code:

public final static Role ROLE_PUBLISH = new Role (UUID.fromString(
"9ffa7879-cc67-4592-ald4a-b251ccecdela7"), "ROLE_PUBLISH");

Check if the ROLE_PUBLISH is being used in a DB with wrong uuid

I am not sure if this is a taxeditor issue or if the cdmlib methods are missing to handlde this correctly. But first of all we should take a
look at the taxeditor.

Associated revisions

Revision b8dd2aa3 - 02/08/2021 03:21 PM - Andreas Kohlbecker
fix #7529 adding PUBLISH group to FirstDatalnserter

Revision 5b133131 - 02/09/2021 10:37 AM - Andreas Kohlbecker

ref #7529 adding PUBLISH group to FirstDatalnserter - handing case when group with same name exists

Revision ¢5893¢96 - 02/09/2021 11:00 AM - Andreas Kohlbecker

ref #7529 adding PUBLISH group to FirstDatalnserter - handing case when group with same name exists

Revision e0f4dbe9 - 02/15/2021 04:16 PM - Andreas Miller
ref #7529 adapt new ROLE_PUBLISH constant name in cdmlib-app

History

#1 - 02/01/2021 09:36 AM - Andreas Miiller
- Tags set to fast

- Description updated

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.21

AK, do you still remember the context for this ticket. What did not work, what did you test, which DB was involved?

#2 - 02/01/2021 09:52 AM - Andreas Kohlbecker

| seem to remember that | created this ticket in turn to an email conversation that the both of us had.

However, | don't remember 100% exactly the situation, but it was like that someone created the ROLE_PUBLISH via the Groups-Details editor, or the
like.

In this case a new GrantedAuthotrity with a new UUID is being created. This UUID conflicts with the one which is predefined in the class
eu.etaxonomy.cdm.persistence.permission.Role.

So the solution to this would be that what | suggested in the email conversation today:
"Wir sollten eine Default-Gruppe "Publish" einfiihren, die durch den FirstDatalnserter angelegt wird und die die ROLE_PUBLISH als einzige
GrantedAuthority enthdlt. Dadurch befindet sich die Rolle dann auf jeden Fall in jeder Datenbank und kann per Gruppe leicht einem User zugewiesen
werden."

#3 - 02/01/2021 10:09 AM - Andreas Kohlbecker

- Description updated

#4 - 02/01/2021 11:03 AM - Andreas Mdiller

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

#5 - 02/08/2021 01:56 PM - Andreas Kohlbecker

- Target version changed from Release 5.21 to Release 5.20

#6 - 02/08/2021 03:22 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|b8dd2aa39122e68351a1591e11a4dc12751fdc2e.

#7 - 02/09/2021 09:57 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

verified at some test databases: works as expected.

#8 - 02/10/2021 11:51 AM - Andreas Kohlbecker

- Category changed from taxeditor to cdmlib

#9 - 02/15/2021 04:15 PM - Andreas Miiller
Have you also checked that no ROLE_PUBLISH with wrong UUID exists in existing production DBs? (see ticket description)

#10 - 02/15/2021 09:05 PM - Andreas Kohlbecker

Andreas Muller wrote:

Have you also checked that no ROLE_PUBLISH with wrong UUID exists in existing production DBs? (see ticket description)

Yes of course otherwise | wouldn't have closed the ticket.

#11 - 06/03/2021 11:25 AM - Andreas Miiller
- Tags deleted (fast)
